This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 473568 - F10: Doesn't adjust hard drive power management setting (hdparm -B) when on battery/mains
F10: Doesn't adjust hard drive power management setting (hdparm -B) when on b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 06:56 EST by Tore Anderson
Modified: 2015-03-04 20:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 08:01:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tore Anderson 2008-11-29 06:56:04 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; nn-NO; rv:1.9.0.4) Gecko/2008111318 Ubuntu/8.10 (intrepid) Firefox/3.0.4

I'm testing F10 (KDE version) and noticed that it does not control the power management setting of my hard drive.

This is bad for two reasons:

1) shortens battery lifetime when on battery;
2) it causes excessive head parking when on mains, which in turn
* causes an annoying clicking sound every few seconds,
* shortens the life span of the hard drive itself, and
* prevents the hard drive from performing optimally.

Reproducible: Always

Steps to Reproduce:
1. Boot up F10 on a laptop, check APM status: «hdparm -I /dev/sda | grep 'power management level'»
2. Disconnect mains, check it again.
3. Reconnect mains, check it again.
Actual Results:  
The value remains the same.  In my case it's 128, which I believe is a hardware default.

Expected Results:  
Maximum power savings when on battery (level 1), disabled power management when on mains (level 255).

Hardware profile: http://smolts.org/client/show_all/pub_017cc1e3-8586-4df7-bc26-12b3e1fe58d7
Ubuntu bug: https://bugs.launchpad.net/bugs/59695
Comment 1 Richard Hughes 2008-12-01 08:01:08 EST
We don't want to change this based on session profile. Lots has been written on this in the past, please see http://www.codon.org.uk/~mjg59/power/good_practices.html

Note You need to log in before you can comment on or make changes to this bug.